'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _hashStructure = require('./hashStructure');

var _hashStructure2 = _interopRequireDefault(_hashStructure);

var _migrate = require('./migrate');

var _migrate2 = _interopRequireDefault(_migrate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = async function run(args, flags) {
  var _args = _slicedToArray(args, 1);

  const command = _args[0];
  var _flags$doSave = flags.doSave;
  const doSave = _flags$doSave === undefined ? false : _flags$doSave;


  switch (command) {
    case 'migrate':
      (0, _migrate2.default)();
      return;

    case 'hash':
      (0, _hashStructure2.default)(doSave);
      return;

    default:
      return;
  }
};